/*
 * umask.c
 */


#include<unistd.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<fcntl.h>
#include<sys/stat.h>


int openMask=0;


mode_t umask(mode_t mask)
{
	mode_t old;


	old=openMask;
	openMask=mask&0x1f;

	return old;
}
